Skip to main content
PUT
/
consumers
/
{consumer_id}
/
banks
/
{bank_mapper}
/
accounts
/
{account_external_id}
Update bank account
curl --request PUT \
  --url https://api.example.com/consumers/{consumer_id}/banks/{bank_mapper}/accounts/{account_external_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bic": "<string>",
  "currency": "EUR",
  "iban": "<string>"
}
'
import requests

url = "https://api.example.com/consumers/{consumer_id}/banks/{bank_mapper}/accounts/{account_external_id}"

payload = {
"bic": "<string>",
"currency": "EUR",
"iban": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bic: '<string>', currency: 'EUR', iban: '<string>'})
};

fetch('https://api.example.com/consumers/{consumer_id}/banks/{bank_mapper}/accounts/{account_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_id": "<string>",
  "bic": "<string>",
  "type": "<string>",
  "iban": "<string>",
  "name": "<string>"
}
{
"message": "Bad Request"
}
{
"message": "Missing or invalid Authorization Header."
}
{
"message": "You don’t have permission to access this resource."
}
{
"message": "Resource Not Found"
}
{
"message": "Conflict error"
}
{
"message": "Internal Server Error"
}

Authorizations

Authorization
string
header
required

Enter your "Injector" API Key

See Authentication section for more information

Path Parameters

bank_mapper
string
required

Unique identifier of the bank.

account_external_id
string
required

Unique ID of the bank account that you have registered when the bank account was created.

consumer_id
string
required

Unique ID of the consumer that you have registered when the user was onboarded.

Required string length: 2 - 100

Body

application/json
bic
string | null
Required string length: 8 - 11
Pattern: [A-Z0-9]{4}[A-Z]{2}[A-Z0-9]{2}(:?[A-Z0-9]{3})?
currency
enum<string> | null

ISO 4217 currency code (alpha-3 or numeric)

Available options:
AED,
AFN,
ALL,
AMD,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLE,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UYW,
UZS,
VED,
VES,
VND,
VUV,
WST,
XAD,
XAF,
XCD,
XCG,
XOF,
XPF,
XSU,
XUA,
YER,
ZAR,
ZMW,
ZWG
Required string length: 3
Example:

"EUR"

iban
string | null
Maximum string length: 34
type
enum<string> | null
Available options:
inconnu,
compte_courant,
compte_epargne,
compte_de_depots,
compte_de_prets,
compte_titres,
comptes_joint,
compte_carte,
assurance_vie,
plan_epargne_entreprise,
plan_epargne_retraite,
article_83,
reserve_speciale_de_participation,
plan_d_epargne_en_actions,
contrat_de_capitalisation,
plan_epargne_retraite_populaire,
contrat_retraite_madelin,
credit_immobilier,
credit_a_la_consommation,
credit_renouvelable

Response

Successful Response

id
string<uuid>
required

UUID of the bank account

external_id
string | null
required

Unique identifier for the resource on your system

bic
string | null
required
currency
enum<string>
required

ISO 4217 currency code (alpha-3 or numeric)

Available options:
AED,
AFN,
ALL,
AMD,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLE,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UYW,
UZS,
VED,
VES,
VND,
VUV,
WST,
XAD,
XAF,
XCD,
XCG,
XOF,
XPF,
XSU,
XUA,
YER,
ZAR,
ZMW,
ZWG
Required string length: 3
Examples:

"EUR"

"978"

type
string | null
required
iban
string | null
required
name
string | null